From 22bc9135daf15723a9ef0f4c4365ac1bddc08f4c Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Thu, 24 Jun 2021 11:01:39 +0200
Subject: [PATCH v4 1/2] Docs: SSL/TLS related acronyms

This adds MITM and SNI as acronyms, as the documentation already had
them marked up with <acronym />.

Also while in there, make sure to spell man-in-the-middle with dashes
consistently.

Author: Daniel Gustafsson <daniel@yesql.se>
Reviewed-by: Michael Paquier <michael@paquier.xyz>
Discussion: https://postgr.es/m/CE12DD5C-4BB3-4166-BC9A-39779568734C@yesql.se
---
 doc/src/sgml/acronyms.sgml | 4 ++--
 doc/src/sgml/libpq.sgml    | 3 ++-
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/acronyms.sgml b/doc/src/sgml/acronyms.sgml
index 9ed148ab84..98873ff09f 100644
--- a/doc/src/sgml/acronyms.sgml
+++ b/doc/src/sgml/acronyms.sgml
@@ -416,7 +416,7 @@
      <para>
       <ulink
       url="https://en.wikipedia.org/wiki/Man-in-the-middle_attack">
-      Man-in-the-middle attack</ulink>
+      Man-in-the-middle</ulink> attack
      </para>
     </listitem>
    </varlistentry>
@@ -606,7 +606,7 @@
     <listitem>
      <para>
       <ulink
-      url="https://en.wikipedia.org/wiki/Server_Name_Indication">
+       url="https://en.wikipedia.org/wiki/Server_Name_Indication">
        Server Name Indication</ulink>,
       <ulink url="https://tools.ietf.org/html/rfc6066#section-3">RFC 6066</ulink>
      </para>
diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index 59e3e678f9..61adadf4f6 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -1784,7 +1784,8 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
        <para>
         By default, libpq sets the TLS extension <quote>Server Name
         Indication</quote> (<acronym>SNI</acronym>) on SSL-enabled connections.
-        By setting this parameter to 0, this is turned off.
+        By setting this parameter to <literal>0</literal>, this
+        is turned off.
        </para>
 
        <para>
-- 
2.20.1

